bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#7848: 23.2.91; Can't build with MinGW


From: Kazuhiro Ito
Subject: bug#7848: 23.2.91; Can't build with MinGW
Date: Sun, 16 Jan 2011 15:16:31 +0900
User-agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.6 (Maruoka) FLIM/1.14.9 (Goj┼Ź) APEL/10.8 EasyPG/1.0.0 Emacs/23.2.92 (i386-mingw-nt5.1.2600) MULE/6.0 (HANACHIRUSATO)

> > When I build emacs-23 branch at present with MinGW, below error
> > occurs while linking.
> > 
> > > oo-spd/i386/temacs1.a(image.o):image.c:(.text+0xa8fa): undefined 
> > > reference to `SET_SYMBOL_VAL'
(snip)
> > SET_SYMBOL_VAL is defined in src/lisp.h on trunk but not on emacs-23
> > branch.
> 
> Sorry.  Please try replacing this:
> 
>   SET_SYMBOL_VAL (XSYMBOL (Qlibpng_version), make_number (PNG_LIBPNG_VER));
> 
> with this:
> 
>   XSYMBOL (Qlibpng_version)->value = make_number (PNG_LIBPNG_VER);
> 
> and make a similar change in this line:
> 
>   SET_SYMBOL_VAL (XSYMBOL (Qlibpng_version), make_number (-1));
> 
> I cannot test this where I'm typing this mail, but if you tell me that
> these two changes fix the problem, I will commit this change to the
> release branch.

Thanks, I confirmed above changes fixed my problem (not tested in the
case of no PNG support).

-- 
Kazuhiro Ito





reply via email to

[Prev in Thread] Current Thread [Next in Thread]